# Gets the print streams of an uncollected completed order base that are compatible with the requested printer

#### Licenses Required
- Vista.Ocapi

Endpoint: GET /ocapi/v1/orders/completed/{orderId}/print-streams
Version: V1

## Description:

  - `Licenses Required` ()
    Vista.Ocapi

## Path parameters:

  - `orderId` (string, required)
    The unique identifier of the completed order base being retrieved

## Query parameters:

  - `printTemplateName` (string, required)
    The name of the print templates to generate the print streams with

  - `languageTag` (string)
    The IETF (RFC 4646) language tag representing the desired language that the print streams will be generated in.
If not supplied, the default language configured at cinema will be used

## Header parameters:

  - `Connect-Region-Code` (string)
    Region Code

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `itemCollectionVouchers` (array, required)
    Gets the printable item collection vouchers

  - `tickets` (array, required)
    Gets the printable tickets

  - `orderReceipts` (array, required)
    Gets the printable order receipts

## Response 400:

  - `400` (unknown)
    Invalid query parameter, or the order is in an invalid state.

## Response 404:

  - `404` (unknown)
    Order does not exist.

